using System.Collections.Generic;

namespace LeafWeb.Core.Remote
{
	public interface IPiscalClient
	{
		string Host { get; }
		void RunLeafInput(PiscalLeafInput leafInput);
		PiscalStatus GetLeafInputStatus(PiscalLeafInput leafInput);
		IEnumerable<PiscalLeafOutputFile> RetrieveLeafOutput(PiscalLeafInput leafInput);
		void KillLeafProcess(PiscalLeafInput leafInput);
		void CleanupLeafProcess(PiscalLeafInput leafInput);
	}
}
